ranges::get_cursor_fn Struct Reference
Iterator

## Description

Get a cursor from a basic_iterator.

## Public Member Functions

template<typename Cur >
constexpr Cur & | operator() (basic_iterator< Cur > &it) const noexcept
template<typename Cur >
constexpr Cur const & | operator() (basic_iterator< Cur > const &it) const noexcept
template<typename Cur >
constexpr Cur | operator() (basic_iterator< Cur > &&it) const noexcept(std::is_nothrow_move_constructible< Cur >::value)